<script>
// import SettingsTemplate from '@/components/settings/SettingsTemplate.vue'
import LdapAdForm from '@/components/forms/LdapAdForm.vue'
import UserApiV1 from '@/api/userApi'

export default {
  name: 'LdapAdConfiguration',
  components: {
    SettingsTemplate,
    LdapAdForm,
  },
  data() {
    return {
      userData: { id: 0 },
    }
  },
  mounted() {
    this.getUser()
  },
  methods: {
    async getUser() {
      const users = new UserApiV1()
      try {
        const responseUserData = await users.getUserById(this.$route.params.id)

        this.userData = responseUserData.data.data
        console.log('getUser this.userDada: ', this.userData)
      }
      catch (error) {
        console.log('error getUserById', error)
      }
    },
  },
}
</script>

<template>
  <SettingsTemplate>
    <LdapAdForm :user-data="userData" />
  </SettingsTemplate>
</template>
